/*============================================================================
  File:     RestoreAWDW2008.sql

  Summary:  Restore the AWDW Database to give us a clean start between
			demos.
  
  Date:     November 2009

  SQL Server Version: 2008
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp, SYSolutions, Inc.

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

:ON ERROR EXIT
go

:SETVAR DB AdventureWorksDW2008
:SETVAR BU "C:\SQLskills\AdventureWorksDW2008Original.BAK"
:SETVAR RestoreToServer (local)\SQLDev01
:SETVAR RestoreToDirectory "C:\Program Files\Microsoft SQL Server\MSSQL10.SQLDev01\MSSQL\data"
go

:CONNECT $(RestoreToServer)
go

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('$(DB)', 'Collation') IS NOT NULL
	ALTER DATABASE [$(DB)]
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

IF substring(convert(varchar, SERVERPROPERTY('ProductVersion')), 1, 2) = '10' 
	RESTORE DATABASE [$(DB)] 
	FROM  DISK = N'$(BU)' 
	WITH  FILE = 1,  
		MOVE N'AdventureWorksDW2008_Data' 
			TO N'$(RestoreToDirectory)\AdventureWorksDW2008_Data.mdf',  
		MOVE N'AdventureWorksDW2008_Log' 
			TO N'$(RestoreToDirectory)\AdventureWorksDW2008_Log.ldf',
	STATS = 10, REPLACE
go

IF DATABASEPROPERTYEX('$(DB)', 'Collation') IS NOT NULL
	ALTER DATABASE [$(DB)]
		SET MULTI_USER 
		WITH ROLLBACK IMMEDIATE
go